/* ===========================================================================
*
*                            PUBLIC DOMAIN NOTICE
*               National Center for Biotechnology Information
*
*  This software/database is a "United States Government Work" under the
*  terms of the United States Copyright Act.  It was written as part of
*  the author's official duties as a United States Government employee and
*  thus cannot be copyrighted.  This software/database is freely available
*  to the public for use. The National Library of Medicine and the U.S.
*  Government have not placed any restriction on its use or reproduction.
*
*  Although all reasonable efforts have been taken to ensure the accuracy
*  and reliability of the software and data, the NLM and the U.S.
*  Government do not and cannot warrant the performance or results that
*  may be obtained by using this software or data. The NLM and the U.S.
*  Government disclaim all warranties, express or implied, including
*  warranties of performance, merchantability or fitness for any particular
*  purpose.
*
*  Please cite the author in any work or product based on this material.
*
* ===========================================================================*/
#ifndef __BLAST_BLAST__
#define __BLAST_BLAST__
#include <gishlib.h>

#ifndef BLAST_EXTERN
#define BLAST_EXTERN extern
#endif

#define BLAST_VERSION	0

#include <blast/error.h>
#include <blast/basic.h>
#include <blast/config.h>
#include <blast/filter.h>
#include <blast/alphabet.h>
#include <blast/str.h>
#include <blast/gcode.h>
#include <blast/degen.h>
#include <blast/rescomp.h>
#include <blast/resfreq.h>
#include <blast/score.h>
#include <blast/vscore.h>
#include <blast/karlin.h>
#include <blast/wordfind.h>
#include <blast/neighbor.h>
#include <blast/encoded.h>
#include <blast/hsp.h>
#include <blast/hitlist.h>
#include <blast/consist.h>
#include <blast/sort.h>
#include <blast/span.h>
#include <blast/search.h>
#include <blast/tools.h>
#include <blast/util.h>

BLAST_EXTERN BLAST_AlphabetPtr	blast_ncbistdaa,
								blast_oldblastaa,
								blast_iupacaa,
								blast_ncbi2na,
								blast_ncbi4na,
								blast_oldblastna,
								blast_iupacna
								;

#endif /* !__BLAST_BLAST__ */
