/* ===========================================================================
*
*                            PUBLIC DOMAIN NOTICE
*               National Center for Biotechnology Information
*
*  This software/database is a "United States Government Work" under the
*  terms of the United States Copyright Act.  It was written as part of
*  the author's official duties as a United States Government employee and
*  thus cannot be copyrighted.  This software/database is freely available
*  to the public for use. The National Library of Medicine and the U.S.
*  Government have not placed any restriction on its use or reproduction.
*
*  Although all reasonable efforts have been taken to ensure the accuracy
*  and reliability of the software and data, the NLM and the U.S.
*  Government do not and cannot warrant the performance or results that
*  may be obtained by using this software or data. The NLM and the U.S.
*  Government disclaim all warranties, express or implied, including
*  warranties of performance, merchantability or fitness for any particular
*  purpose.
*
*  Please cite the author in any work or product based on this material.
*
* ===========================================================================*/

#ifndef __BLAST_BASIC__
#define __BLAST_BASIC__

#ifndef BLAST_EXTERN
#define BLAST_EXTERN extern
#endif
#ifdef __cplusplus
extern "C" {
#endif

typedef Nlm_Uint4	BLAST_Offset, PNTR BLAST_OffsetPtr; /* string offsets */
#define BLAST_OFFSET_MAX	UINT4_MAX
#define BLAST_OFFSET_MIN	0

typedef Nlm_Int4	BLAST_Diag, PNTR BLAST_DiagPtr; /* diagonal offsets */
#define BLAST_DIAG_MIN	INT4_MIN
#define BLAST_DIAG_MAX	INT4_MAX

typedef long	BLAST_Coord, PNTR BLAST_CoordPtr; /* coordinate numbers */
#define BLAST_COORD_MAX	LONG_MAX
#define BLAST_COORD_MIN	LONG_MIN


BLAST_Error	InitBLAST PROTO((void));
BLAST_Error	FinisBLAST PROTO((void));
int		BlastVersion PROTO((void));  /* returns the current library version */

#ifdef __cplusplus
}
#endif
#endif /* !__BLAST_BASIC__ */
