/* ===========================================================================
*
*                            PUBLIC DOMAIN NOTICE
*               National Center for Biotechnology Information
*
*  This software/database is a "United States Government Work" under the
*  terms of the United States Copyright Act.  It was written as part of
*  the author's official duties as a United States Government employee and
*  thus cannot be copyrighted.  This software/database is freely available
*  to the public for use. The National Library of Medicine and the U.S.
*  Government have not placed any restriction on its use or reproduction.
*
*  Although all reasonable efforts have been taken to ensure the accuracy
*  and reliability of the software and data, the NLM and the U.S.
*  Government do not and cannot warrant the performance or results that
*  may be obtained by using this software or data. The NLM and the U.S.
*  Government disclaim all warranties, express or implied, including
*  warranties of performance, merchantability or fitness for any particular
*  purpose.
*
*  Please cite the author in any work or product based on this material.
*
* ===========================================================================*/

#ifndef __BLAST_CONSIST__
#define __BLAST_CONSIST__
#ifdef __cplusplus
extern "C" {
#endif

BLAST_HSPPtr LIBCALL evals PROTO((BLAST_ConfigPtr bcp, BLAST_HSPPtr hp0, double dblen));
BLAST_HSPPtr LIBCALL consist_evals PROTO((BLAST_ConfigPtr bcp, BLAST_HSPPtr hp0, double dblen));

void	consist_sum PROTO((BLAST_ConfigPtr bcp, BLAST_HSPPtr hp0, double fraction));
void	consistn_dynamic PROTO((BLAST_ConfigPtr bcp, BLAST_HSPPtr hp0,double fraction));
void	consistn_midpt PROTO((BLAST_HSPPtr));
void LIBCALL pcnt PROTO((BLAST_HSPPtr));
double LIBCALL BlastEtoConsistP PROTO((unsigned cnt, double expect));
double LIBCALL BlastConsistRatio PROTO((unsigned total, unsigned subset));

/* Functions */
#define EtoConsistP	BlastEtoConsistP

#ifdef __cplusplus
}
#endif
#endif /* !__BLAST_CONSIST__ */
