/* ===========================================================================
*
*                            PUBLIC DOMAIN NOTICE
*               National Center for Biotechnology Information
*
*  This software/database is a "United States Government Work" under the
*  terms of the United States Copyright Act.  It was written as part of
*  the author's official duties as a United States Government employee and
*  thus cannot be copyrighted.  This software/database is freely available
*  to the public for use. The National Library of Medicine and the U.S.
*  Government have not placed any restriction on its use or reproduction.
*
*  Although all reasonable efforts have been taken to ensure the accuracy
*  and reliability of the software and data, the NLM and the U.S.
*  Government do not and cannot warrant the performance or results that
*  may be obtained by using this software or data. The NLM and the U.S.
*  Government disclaim all warranties, express or implied, including
*  warranties of performance, merchantability or fitness for any particular
*  purpose.
*
*  Please cite the author in any work or product based on this material.
*
* ===========================================================================*/
#ifndef __BLAST_FILTER__
#define __BLAST_FILTER__
#ifdef __cplusplus
extern "C" {
#endif

typedef struct _blast_filter {
		struct _blast_filter	PNTR next;
		int		(LIBCALLBACK *func)();
		Nlm_VoidPtr	data;
		int		id;
	} BLAST_Filter, PNTR BLAST_FilterPtr;


BLAST_FilterPtr	BlastFilterNew PROTO((int (LIBCALLBACK *func)(), int id, Nlm_VoidPtr data));
BLAST_Error		BlastFilterDestruct PROTO((BLAST_FilterPtr PNTR fpp));
BLAST_FilterPtr	BlastFilterFindByID PROTO((BLAST_FilterPtr fp, int id));
BLAST_FilterPtr BlastFilterStack PROTO((BLAST_FilterPtr PNTR fpp, int (LIBCALLBACK *func)(), int id, Nlm_VoidPtr data));
BLAST_Error		BlastFilterPush PROTO((BLAST_FilterPtr PNTR fpp, int (LIBCALLBACK *func)(), int id, Nlm_VoidPtr data));
BLAST_Error		BlastFilterPop PROTO((BLAST_FilterPtr PNTR fpp));
BLAST_Error		BlastFilterDrop PROTO((BLAST_FilterPtr PNTR fpp, int id));

#ifdef __cplusplus
}
#endif
#endif /* !__BLAST_FILTER__ */
