/* ===========================================================================
*
*                            PUBLIC DOMAIN NOTICE
*               National Center for Biotechnology Information
*
*  This software/database is a "United States Government Work" under the
*  terms of the United States Copyright Act.  It was written as part of
*  the author's official duties as a United States Government employee and
*  thus cannot be copyrighted.  This software/database is freely available
*  to the public for use. The National Library of Medicine and the U.S.
*  Government have not placed any restriction on its use or reproduction.
*
*  Although all reasonable efforts have been taken to ensure the accuracy
*  and reliability of the software and data, the NLM and the U.S.
*  Government do not and cannot warrant the performance or results that
*  may be obtained by using this software or data. The NLM and the U.S.
*  Government disclaim all warranties, express or implied, including
*  warranties of performance, merchantability or fitness for any particular
*  purpose.
*
*  Please cite the author in any work or product based on this material.
*
* ===========================================================================*/
#ifndef __BLAST_VSCORE__
#define __BLAST_VSCORE__
#ifdef __cplusplus
extern "C" {
#endif

typedef enum blast_vscore_type {
	VSCORE_UNDEFINED = 0,
	VSCORE_N,
	VSCORE_CONSISTN,
	VSCORE_PVALUE,
	VSCORE_EXPECT,
	VSCORE_POISSONP,
	VSCORE_CONSISTP,
	VSCORE_CONSISTE,
	VSCORE_SUMP,
	VSCORE_SW,
	VSCORE_MAX = 100
	} BLAST_VScoreType, PNTR BLAST_VScoreTypePtr;

typedef ValNode	BLAST_VScore, PNTR BLAST_VScorePtr;
typedef PoolBlkPtr	BLAST_VScorePoolPtr;

#define VScore	BLAST_VScore
#define VScorePtr	BLAST_VScorePtr
#define VScorePoolPtr	BLAST_VScorePoolPtr

VScorePoolPtr LIBCALL BlastVScorePoolNew PROTO((size_t cnt));
void LIBCALL BlastVScorePoolDestruct PROTO((BLAST_VScorePoolPtr));
VScorePtr LIBCALL	BlastVScorePoolGet PROTO((VScorePoolPtr,ValNodePtr));
void LIBCALL	BlastVScorePoolPut PROTO((VScorePoolPtr,VScorePtr));
void LIBCALL	BlastVScorePoolPutLink PROTO((VScorePoolPtr,VScorePtr));
VScorePtr LIBCALL	BlastVScoreUserTypeFind PROTO((VScorePtr vspp, int usertype));

#ifdef __cplusplus
}
#endif
#endif /* !__BLAST_VSCORE__ */
